RubyGems Navigation menu

rgss 0.0.1

IN ACTIVE DEVELOPMENT. High-performance Ruby game framework strongly influenced by the RPG Maker series by Enterbrain. The library contains multiple levels of abstraction, leveraging the power of modern OpenGL (C bindings built-in) and shaders, but building upon these low-level abstractions to create the user-friendly components that are to be expected in a 2D game framework, including sprites, textures, fonts, colors, etc. Those experienced with low-level graphics APIs have all the tools at their fingertips already built-in (OpenGL, GLFW, OpenAL, sound/font/image decoding, etc) and ready to build their own engine from, while those who have no interest in such can get started right away with powerful higher-level abstractions. While the library's API surface similar in many ways to RPG Maker XP/VX/VXA, bear in mind that it is merely incluenced by those, and liberal design changes have been taken to not limit the API or add restriction.

Versions:

  1. 0.0.1 - January 15, 2021 (721 KB)
Show all versions (2 total)

Runtime Dependencies (1):

  • ox ~> 2.14
  • Development Dependencies (3):

  • rake ~> 13.0
  • rake-compiler ~> 1.1
  • yard ~> 0.9
  • Owners:

    Pushed by:

    Authors:

    • Eric Freed

    SHA 256 checksum:

    a7e0e1f361417167f31b5bb7adc0959a9091a1f6933dca1374e663f3c760ab46

    Total downloads 1,870

    For this version 203

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.3.0

    Links: